%define name smeserver-certificate
%define version 1.0
%define release 1
%define rpmver   4.0.4

Summary:            SSL Self-Certificate for SME Server 7.x
Name:               %{name}
Version:            %{version}
Release:            %{release}
Copyright:          GPL
Group:              /Web/Applications
Source:             %{name}-%{version}.tar.gz
Packager:           Dietmar Berteld  <dietmar@berteld.com>
URL:                http://distro.ibiblio.org/pub/linux/distributions/smeserver/contribs/nickcritten/howtos/ssl7.htm
BuildRoot:          /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires:           e-smith-base, e-smith-release >= 7

%description
This RPM is an unofficial addon for the SME Server 7.x.  
The target audience is the Linux/E-smith administrator 
who wants to add SSL Self-Certificate. 
Thanks a lot to Nick Critten for his brillant howto.


%changelog
* Wed Feb 28 2007 Dietmar Berteld <dietmar@berteld.com>
- [1.0-1] Initial version

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

%install
/bin/rm -rf $RPM_BUILD_ROOT
(/usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist


%files -f %{name}-%{version}-filelist

%defattr(-,root,root)

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%post


# Modify Domain
/sbin/e-smith/signal-event domain-modify
	     
echo "=============================="
echo "SSL Certificate installed."                                                                                                                                      
echo "=============================="

			     
%preun


%postun
 
                                                                                     
